<?php
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'luzuk_about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_about_area_disable',
            array(
                'settings'      => 'luzuk_about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'about', 'about_area', $color='#f9f9f9', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);


  $wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'about_area',
                'label'         => __( 'Left Box', 'luzuk-premium' ),
            )
        )
    );


      $wp_customize->add_setting(
        'about_image3',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image3',
            array(
                'section' => 'about_area',
                'settings' => 'about_image3',
                'description' => __('Recommended Image Size: 545X620px', 'luzuk-premium')
            )
        )
    );

    addColorPalatOption($wp_customize, 'about_area_circleimgsecsubtitle_color', 'about_area', 'Circle Color ', '#718be3');
    addColorPalatOption($wp_customize, 'about_area_backgroundsecsubtitle_color', 'about_area', 'Image Background Color ', '#718be3');





    $wp_customize->add_setting(
        'about_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_title_heading',
            array(
                'settings'      => 'about_title_heading',
                'section'       => 'about_area',
                'label'         => __( 'Section Heading, Sub Heading, Text', 'luzuk-premium' ),
            )
        )
    );

    $wp_customize->add_setting(
        'about_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'About Us', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_subtitle',
        array(
            'settings'      => 'about_subtitle',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_secsubtitle_color', 'about_area', 'Section Sub Heading Color ', '#718be3');

    $wp_customize->add_setting(
        'about_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'We Have 35 Years Experiance In This Passion', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_title',
        array(
            'settings'      => 'about_title',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Heading Color ', '#000');

//addColorPalatOption($wp_customize, 'about_area_sectitlebrd_color', 'about_area', 'Heading Border Color ', '#f63760');

    $wp_customize->add_setting(
        'about_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'We have been in the repairing and services business since 1995. We have experienced service department ready to handle all of your repair tasks. Our team will get your device with guarantee with affordable price.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_text',
        array(
            'settings'      => 'about_text',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section List Text', 'luzuk-premium' )
        )
    );

    $wp_customize->add_setting(
        'aboutlisttext',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '<ul>
                                            <li>We’re Professional Contractors</li>
                                            <li>We’re Professional Contractors</li>
                                            <li>We’re Professional Contractors</li>
                                            <li>We’re Professional Contractors</li>
                                            <li>We’re Professional Contractors</li>
                                            <li>We’re Professional Contractors</li>
                                          </ul>', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'aboutlisttext',
        array(
            'settings'      => 'aboutlisttext',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading Text', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#7a7878');

lzCustomLable($wp_customize, 'about_colors', 'about_area', 'Section Color Setting');

addColorPalatOption($wp_customize, 'about_area_pageicon', 'about_area', 'About Section Icon color', '#718be3');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'About Section Icon Title Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagetitlehv', 'about_area', 'About Section Icon Title Hover Color', '#718be3');


lzCustomLable($wp_customize, 'buttontextsettings', 'about_area', 'Button Text, Button Link & Its Colors:');

// button

$wp_customize->add_setting(
        'about_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Make An Appointment', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_button1',
        array(
            'settings'      => 'about_button1',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );

$wp_customize->add_setting('about_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('about_link',
    array(
        'settings'      => 'about_link',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'about_btninnerborderbackground', 'about_area', 'Button Background Color', '#fff');
addColorPalatOption($wp_customize, 'about_btninnerborderbackgroundhover', 'about_area', 'Button Background Hover Color', '#718be3');
addColorPalatOption($wp_customize, 'about_btntxt', 'about_area', 'Button Text Color', '#000');
addColorPalatOption($wp_customize, 'about_btntxthv', 'about_area', 'Button Text Hover Color', '#fff');
addColorPalatOption($wp_customize, 'about_btnborder', 'about_area', 'Button Border Color', '#718be3');
addColorPalatOption($wp_customize, 'about_btnborderhover', 'about_area', 'Button Border Hover Color', '#000');
addColorPalatOption($wp_customize, 'about_btninnerborderhover', 'about_area', 'Button Before & After Border Hover Color', '#fff');
